com.streambase.liveview.client

## Enum LiveViewConnectionControl.ConnectionState

- java.lang.Object
- - java.lang.Enum<LiveViewConnectionControl.ConnectionState>
  - - com.streambase.liveview.client.LiveViewConnectionControl.ConnectionState

- All Implemented Interfaces:
    Serializable, Comparable<LiveViewConnectionControl.ConnectionState>
  Enclosing interface:
    LiveViewConnectionControl

      public static enum LiveViewConnectionControl.ConnectionState
      extends Enum<LiveViewConnectionControl.ConnectionState>

  The status of this connection
  Since:
    2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTED` Successfully connected to server
    `INACTIVE` Connection has been explicitly shut off via a LiveViewConnectionControl.setActive call
    `TRYING_TO_CONNECT` Trying to connect but not complete, yet.
    `WAITING` Neither connected nor attempting.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LiveViewConnectionControl.ConnectionState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LiveViewConnectionControl.ConnectionState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONNECTED

          public static final LiveViewConnectionControl.ConnectionState CONNECTED

      Successfully connected to server

    - #### TRYING_TO_CONNECT

          public static final LiveViewConnectionControl.ConnectionState TRYING_TO_CONNECT

      Trying to connect but not complete, yet.

    - #### WAITING

          public static final LiveViewConnectionControl.ConnectionState WAITING

      Neither connected nor attempting. Only happens if MultiConnectionConfig.preConnectAlternates is false.

    - #### INACTIVE

          public static final LiveViewConnectionControl.ConnectionState INACTIVE

      Connection has been explicitly shut off via a LiveViewConnectionControl.setActive call

  - ### Method Detail

    - #### values

          public static LiveViewConnectionControl.ConnectionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LiveViewConnectionControl.ConnectionState c : LiveViewConnectionControl.ConnectionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LiveViewConnectionControl.ConnectionState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.